From 29a5abc30b5d5efa30b7f6b73fe06d76ec851cca Mon Sep 17 00:00:00 2001
From: Johannes Lorenz <1042576+JohannesLorenz@users.noreply.github.com>
Date: Mon, 18 May 2020 18:58:48 +0200
Subject: [PATCH] Fix Qt 5.15 build issues (#5498)

Add missing QPainterPath includes
---
 plugins/Eq/EqSpectrumView.h          | 1 +
 src/gui/AutomationPatternView.cpp    | 1 +
 src/gui/LmmsStyle.cpp                | 1 +
 src/gui/editors/AutomationEditor.cpp | 1 +
 4 files changed, 4 insertions(+)

diff --git a/plugins/Eq/EqSpectrumView.h b/plugins/Eq/EqSpectrumView.h
index cd3f177586..84feeff13e 100644
--- a/plugins/Eq/EqSpectrumView.h
+++ b/plugins/Eq/EqSpectrumView.h
@@ -24,6 +24,7 @@
 #define EQSPECTRUMVIEW_H
 
 #include <QPainter>
+#include <QPainterPath>
 #include <QWidget>
 
 #include "fft_helpers.h"
diff --git a/src/gui/AutomationPatternView.cpp b/src/gui/AutomationPatternView.cpp
index 448c233cb4..9889a6b460 100644
--- a/src/gui/AutomationPatternView.cpp
+++ b/src/gui/AutomationPatternView.cpp
@@ -25,6 +25,7 @@
 
 #include <QMouseEvent>
 #include <QPainter>
+#include <QPainterPath>
 #include <QMenu>
 
 #include "AutomationEditor.h"
diff --git a/src/gui/LmmsStyle.cpp b/src/gui/LmmsStyle.cpp
index e57e29e479..4fe5cb503c 100644
--- a/src/gui/LmmsStyle.cpp
+++ b/src/gui/LmmsStyle.cpp
@@ -28,6 +28,7 @@
 #include <QApplication>
 #include <QFrame>
 #include <QPainter>
+#include <QPainterPath>
 #include <QStyleFactory>
 #include <QStyleOption>
 
diff --git a/src/gui/editors/AutomationEditor.cpp b/src/gui/editors/AutomationEditor.cpp
index 5e8ea8a0af..74f15d358c 100644
--- a/src/gui/editors/AutomationEditor.cpp
+++ b/src/gui/editors/AutomationEditor.cpp
@@ -35,6 +35,7 @@
 #include <QLayout>
 #include <QMdiArea>
 #include <QPainter>
+#include <QPainterPath>
 #include <QScrollBar>
 #include <QStyleOption>
 #include <QToolTip>
